#include <stdio.h>
#include <graphics.h>
#include <conio.h>

int main()
{
	float x=30,y=30,x_end=100,y_end=100;

	float k=(y_end-y)/(x_end-x);
	int gdriver,gmode;
	clrscr();

	gdriver=VGA;
	gmode=VGAHI;
	initgraph(&gdriver,&gmode,"c:\\borlandc\\bgi");
	//bar(50,50,150,30);
	while (x<=x_end)
	{
		putpixel((int)x,(int)y,1);
		x=x+1;
		y=y+k;
	}
	getch();
	printf("%f,%f",x,y);
	getch();
	closegraph();
	return 0;
}
